{
  config,
  lib,
  ...
}:

let
  inherit (lib)
    mkEnableOption
    mkIf
    ;
  cfg = config.modules.system.desktop.hyprland;
in
{
  options.modules.system.desktop.hyprland.enable = mkEnableOption "hyprland";

  config = mkIf cfg.enable {
    networking.networkmanager.enable = true;

    programs.hyprland = {
      enable = true;
      withUWSM = true;
    };
  };
}
